# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /Users/ktietz/Code/oss/aggregate/notebook-feedstock/recipe, last modified Thu Feb  3 18:23:01 2022
# ------------------------------------------------

package:
  name: notebook
  version: 6.4.6
source:
  sha256: 7bcdf79bd1cda534735bd9830d2cbedab4ee34d8fe1df6e7b946b3aab0902ba3
  url: https://pypi.io/packages/source/n/notebook/notebook-6.4.6.tar.gz
build:
  entry_points:
    - jupyter-bundlerextension = notebook.bundler.bundlerextensions:main
    - jupyter-nbextension = notebook.nbextensions:main
    - jupyter-notebook = notebook.notebookapp:main
    - jupyter-serverextension = notebook.serverextensions:main
  number: '0'
  string: py310hca03da5_0
requirements:
  host:
    - bzip2 1.0.8 h620ffc9_4
    - ca-certificates 2021.10.26 hca03da5_2
    - certifi 2021.10.8 py310hca03da5_2
    - deprecation 2.1.0 pyhd3eb1b0_0
    - jupyter-packaging 0.10.4 pyhd3eb1b0_0
    - libcxx 12.0.0 hf6beb65_1
    - libffi 3.4.2 hc377ac9_2
    - ncurses 6.3 h1a28f6b_2
    - openssl 1.1.1m h1a28f6b_0
    - packaging 21.3 pyhd3eb1b0_0
    - pip 21.2.4 py310hca03da5_0
    - pyparsing 3.0.4 pyhd3eb1b0_0
    - python 3.10.0 hbdb9e5c_3
    - readline 8.1.2 h1a28f6b_1
    - setuptools 58.0.4 py310hca03da5_0
    - sqlite 3.37.0 h1058600_0
    - tk 8.6.11 hb8d0fd4_0
    - tomlkit 0.7.0 py310hca03da5_1
    - tzdata 2021e hda174b7_0
    - wheel 0.32.3 py310hca03da5_0
    - xz 5.2.5 h1a28f6b_0
    - zlib 1.2.11 h5a0b063_4
  run:
    - argon2-cffi
    - ipykernel
    - ipython_genutils
    - jinja2
    - jupyter_client >=5.3.4
    - jupyter_core >=4.6.1
    - nbconvert
    - nbformat
    - nest-asyncio >=1.5
    - prometheus_client
    - python >=3.10,<3.11.0a0
    - pyzmq >=17
    - send2trash >=1.8.0
    - terminado >=0.8.3
    - tornado >=6.1
    - traitlets >=4.2.1
test:
  commands:
    - python -m pip check
    - jupyter notebook -h
    - jupyter nbextension -h
    - jupyter serverextension -h
    - jupyter bundlerextension -h
  imports:
    - notebook
    - notebook.tests.launchnotebook
  requires:
    - pip
    - requests
app:
  cli_opts:
    - args: --port %s
      default: '8080'
      name: port
      summary: Server port ...
  entry: open ${PREFIX}/bin/jupyter_mac.command
  icon: jupyter.png
  summary: Jupyter Notebook
  type: web
about:
  dev_url: https://github.com/jupyter/notebook
  doc_source_url: https://github.com/jupyter/notebook/tree/master/docs
  doc_url: https://jupyter-notebook.readthedocs.io
  home: https://jupyter.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: A web-based notebook environment for interactive computing
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - SylvainCorlay
    - bollwyvl
    - gnestor
    - jakirkham
    - lresende
    - minrk
    - pelson
    - takluyver
